Package: groovy.util

## [Java] Class ObservableList.ElementEvent

- groovy.util.ObservableList.ElementEvent

-     public static abstract class ObservableList.ElementEvent
      extends PropertyChangeEvent

  Base event type for observable list content changes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ElementEvent(Object source, Object oldValue, Object newValue, int index, ChangeType type)` Creates an element event.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ChangeType` | `getChangeType()` Returns the specialized event type.
    `` | `public int` | `getIndex()` Returns the affected index.
    `` | `public int` | `getType()` Returns the specialized event type ordinal.
    `` | `public String` | `getTypeAsString()` Returns the specialized event type name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyChangeEvent` | `equals, getClass, getNewValue, getOldValue, getPropagationId, getPropertyName, getSource, hashCode, notify, notifyAll, setPropagationId, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ElementEvent(Object source, Object oldValue, Object newValue, int index, ChangeType type)

      Creates an element event.

      Parameters:
        `source` - the event source
        `oldValue` - the previous value payload
        `newValue` - the new value payload
        `index` - the affected index
        `type` - the specialized change type

  - ### Method Detail

    - #### public ChangeType getChangeType()

      Returns the specialized event type.

      Returns:
        the change type

    - #### public int getIndex()

      Returns the affected index.

      Returns:
        the list index associated with the event

    - #### public int getType()

      Returns the specialized event type ordinal.

      Returns:
        the change type ordinal

    - #### public String getTypeAsString()

      Returns the specialized event type name.

      Returns:
        the change type name